# Kubernetes



## About the project
this is a main.tf file that deploys a 2 node kuberentes cluster with all the needed namespaces and tools for a ci cd pipeline(argocd, grafan, jenkins, prometheus).

## how to run it

- download the main.tf
- use the az login to ligin to your azure
- go to the directory you downloaded the main.tf file using cd command
- run 
~~~
 terraform init
~~~
- run
~~~ 
terraform apply
~~~